Bug 1411516 - [negative] Deleting subnet connected to instance raise 'Unexpected error encountered '
Summary: [negative] Deleting subnet connected to instance raise 'Unexpected error enco...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.1
Assignee: Tzu-Mainn Chen
QA Contact: Ola Pavlenko
URL:
Whiteboard: openstack:sdn
Depends On: 1397469
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 21:25 UTC by Satoe Imaishi
Modified: 2017-08-30 03:48 UTC (History)
6 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1397469
Environment:
Last Closed: 2017-02-27 19:19:34 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-10 23:50:54 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/3b21ac0c2da0ea2d002835a34c4c506314fd3617

commit 3b21ac0c2da0ea2d002835a34c4c506314fd3617
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Thu Dec 22 13:43:40 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jan 10 18:46:38 2017 -0500

    Merge pull request #13098 from tzumainn/subnet-delete-check
    
    Disallow subnet deletion if it has an associated instance
    (cherry picked from commit 255f49abac66b9f15d25fa938f77cc1a7781720c)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1411516

 .../manageiq/providers/openstack/network_manager/cloud_subnet.rb | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

Comment 3 Ronnie Rasouli 2017-02-01 10:59:23 UTC
verified that the subnet has no option to delete it in case it associated with an instance

Comment 5 errata-xmlrpc 2017-02-27 19:19:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.